##
##  trang.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2013 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         trang
Summary:      XML Schema Language Converter
URL:          http://code.google.com/p/jing-trang/
Vendor:       James Clark
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        XML
License:      BSD
Version:      20091111
Release:      20131211

#   list of sources
Source0:      http://jing-trang.googlecode.com/files/trang-%{version}.zip

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, infozip, w3m
PreReq:       OpenPKG, openpkg >= 20100101, java

%description
    Trang ("Translate NG") converts between different schema languages
    for XML. It supports: RELAX NG (XML syntax), RELAX NG compact
    syntax, XML 1.0 DTD and W3C XML Schema (XSD). A schema written in
    any of the supported schema languages can be converted into any of
    the other supported schema languages, except that W3C XML Schema is
    supported for output only, not for input.

%track
    prog trang = {
        version   = %{version}
        url       = http://code.google.com/p/jing-trang/downloads/list
        regex     = trang-(__VER__)\.zip
    }

%prep
    %setup -q -T -c
    cd ..
    unzip -q -x %{SOURCE0}

%build
    ( echo "#!/bin/sh"
      echo "exec %{l_prefix}/bin/java \\"
      echo "    -jar %{l_prefix}/lib/trang/trang.jar \\"
      echo "    \${1+\"\$@\"}"
    ) >trang
    w3m -dump trang-manual.html >trang.1

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/trang \
        $RPM_BUILD_ROOT%{l_prefix}/man/cat1
    %{l_shtool} install -c -m 755 \
        trang $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        trang.jar $RPM_BUILD_ROOT%{l_prefix}/lib/trang/
    %{l_shtool} install -c -m 644 \
        trang.1 $RPM_BUILD_ROOT%{l_prefix}/man/cat1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

